# Interface INestMembersAttribute

All Superinterfaces:
  `IClassFileAttribute`

public interface INestMembersAttribute extends IClassFileAttribute
Description of nest members attribute as described in the JVM specifications.

Since:
  3.16

## Method Summary

Modifier and Type
Method
Description
`INestMemberAttributeEntry[]`
`getNestMemberAttributesEntries()`
Answer back the array of nest member attribute entries as specified in the JVM specifications, or an empty array if none.
`int`
`getNumberOfNestMembers()`
Answer back the number of nest members as specified in the JVM specifications.

### Methods inherited from interface IClassFileAttribute

`getAttributeLength, getAttributeName, getAttributeNameIndex`

## Method Details

### getNumberOfNestMembers

int getNumberOfNestMembers()
Answer back the number of nest members as specified in the JVM specifications.

Returns:
  the number of nest members as specified in the JVM specifications

### getNestMemberAttributesEntries

INestMemberAttributeEntry[] getNestMemberAttributesEntries()
Answer back the array of nest member attribute entries as specified in the JVM specifications, or an empty array if none.

Returns:
  the array of nest member attribute entries as specified in the JVM specifications, or an empty array if none